<?= $element->renderSubmenu('/11-lekce-opakovani'); ?>

<h1 class="mainTitle"><?= $template->title; ?></h1>

<p>Dnes se pokusíme zopakovat si vše co jsme se naučili. Úkoly na dnešní hodinu budou zároveň i domácí úkoly. Všechny úkoly budeme provádět na datech, které jsou v tomto <a href="<?= $wwwDir; ?>/files/11-lekce-ukoly.json" download>souboru</a>.</p>

<h2 class="text-xl">Nápověda</h2>
<ul>
	<li>Stáhněte si soubor výše.</li>
	<li>Vytvořte si nový projekt.</li>
	<li>Stažený soubor je ve formátu json. Nejdříve budete muset tento soubor načíst pomocí funkce file_get_contents a následně dekódovat pomocí funkce json_decode. Pokud použijeme druhý parametr funkce, bude proměnná pouze datového typu pole.</li>
	<li>Soubor je obyčejný textový soubor a můžete se na něj podívat. Když se na něj podíváte, uvidíte jeho strukturu. Každá závorka { nebo [ značí další pole. (Jedná se o seznam produktů.)</li>
	<li>Na všechny úkoly napište funkci.</li>
	<li>Každý výsledek úkolu uložte do samostatného souboru.</li>
</ul>

<h2 class="text-xl">Úkoly</h2>
<ol>
	<li>Spočítejte kolik je v souboru produktů.</li>
	<li>Jaká je celková cena všech produktů.</li>
	<li>Každý produkt má výrobce. Jací výrobci v souboru existují a kolik mají jednotlivý výrobci produktů.</li>
	<li>V souboru jsou jednotlivé produkty. Některé produkty, ale patří k sobě, jelikož se jedná o jejich varianty. Stejný "hlavní" produkt poznáte podle stejného názvu v klíči ITEMGROUP_ID. Kolik takových "stejných" produktů existuje.</li>
	<li>Každý produkt má nastavenou kategorii (CATEGORYTEXT). Kolik těchto kategorií existuje. Kolik v těchto kategoríích je prouktů. A jaká je celková cena produktů v těchto kategoriích.</li>
	<li>Jaký produkt je nejlevnější.</li>
	<li>Jaká je průměrná cena produktu.</li>
	<li>Jaké produkty stojí méně než 100 Kč.</li>
	<li>Ke každému produktu přidejte další prvek - HEUREKA_CPC. A jako hodnotu tam uložte 10% z ceny. Takto upravené produkty převeďte zpět do json a uložte do souboru s názvem produkty-heureka-cpc.json</li>
</ol>
